

dokku apps:create wallabag


dokku mariadb:create wallabag_db
dokku mariadb:link wallabag_db wallabag
dokku redis:create wallabag_redis
dokku redis:link wallabag_redis wallabag
dokku config:set wallabag MYSQL_ROOT_PASSWORD=wallaroot
dokku config:set wallabag SYMFONY__ENV__DATABASE_DRIVER=pdo_mysql
dokku config:set wallabag SYMFONY__ENV__DATABASE_HOST=$(dokku mariadb:info wallabag_db --dsn | grep '^Host=' | cut -d= -f2)
dokku config:set wallabag SYMFONY__ENV__DATABASE_PORT=3306
dokku config:set wallabag SYMFONY__ENV__DATABASE_NAME=wallabag
dokku config:set wallabag SYMFONY__ENV__DATABASE_USER=wallabag
dokku config:set wallabag SYMFONY__ENV__DATABASE_PASSWORD=wallapass
dokku config:set wallabag SYMFONY__ENV__DATABASE_CHARSET=utf8mb4
dokku config:set wallabag SYMFONY__ENV__DATABASE_TABLE_PREFIX="wallabag_"
dokku config:set wallabag SYMFONY__ENV__MAILER_DSN=smtp://127.0.0.1
dokku config:set wallabag SYMFONY__ENV__FROM_EMAIL=wallabag@example.com
dokku config:set wallabag SYMFONY__ENV__DOMAIN_NAME=https://your-wallabag-instance.wallabag.org
dokku config:set wallabag SYMFONY__ENV__SERVER_NAME="Your wallabag instance"
mkdir -p /opt/wallabag/images
dokku storage:mount wallabag /opt/wallabag/images:/var/www/wallabag/web/assets/images
FROM wallabag/wallabag

